Page MenuHomePhabricator

LiveExtensionInspector doesn't call updateMwData when closing the inspector
Closed, ResolvedPublic1 Story Points

Description

It currently works on the assumption that every change will result in updatePreview being called (which calls updateMwData), however some inspectors (such as Math) intelligently avoid calling updatePreview when the attribute change is non-visual (e.g. ID).

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterCall updatePreview when closing the LiveExtensionInspector

Event Timeline

Esanders created this task.Sep 18 2015, 6:25 PM
Esanders assigned this task to Tchanders.
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: VisualEditor.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 6:25 PM
Jdforrester-WMF triaged this task as Medium priority.Sep 24 2015, 5:44 PM
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.

Change 242902 had a related patch set uploaded (by Tchanders):
Call updatePreview when closing the LiveExtensionInspector

https://gerrit.wikimedia.org/r/242902

Change 242902 merged by jenkins-bot:
Call updatePreview when closing the LiveExtensionInspector

https://gerrit.wikimedia.org/r/242902

Jdforrester-WMF closed this task as Resolved.Oct 5 2015, 5:55 PM
Jdforrester-WMF removed a project: Patch-For-Review.